Bug 485659 - kdepimlibs multilib conflict (index.cache.bz2)
kdepimlibs multilib conflict (index.cache.bz2)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdepimlibs (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-15 20:12 EST by Masoud Pajoh
Modified: 2014-01-21 18:08 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 22:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masoud Pajoh 2009-02-15 20:12:29 EST
Description of problem:
system info:
2.6.27.12-170.2.5.fc10.x86_64 #1 SMP x86_64 GNU/Linux

yum version: yum-3.2.21-2.fc10.noarch


How reproducible:
every time

Steps to Reproduce:
1.yum -y update


Actual results:
Loaded plugins: fastestmirror, presto, priorities, protect-packages, refresh-
              : packagekit, tsflags
Loading mirror speeds from cached hostfile
 * rpmfusion-nonfree-updates: lordmorgul.net
 * fedora: mirrors.tummy.com
 * rpmfusion-free-updates: lordmorgul.net
 * rpmfusion-free: lordmorgul.net
 * rpmfusion-nonfree: lordmorgul.net
 * updates: mirrors.tummy.com
Setting up and reading Presto delta metadata
No Presto metadata available for atrpms
rpmfusion-nonfree-updates                                | 2.7 kB     00:00     
No Presto metadata available for rpmfusion-nonfree-updates
fedora                                                   | 2.8 kB     00:00     
No Presto metadata available for fedora
rpmfusion-free-updates                                   | 2.7 kB     00:00     
No Presto metadata available for rpmfusion-free-updates
rpmfusion-free                                           | 2.7 kB     00:00     
No Presto metadata available for rpmfusion-free
rpmfusion-nonfree                                        | 2.7 kB     00:00     
No Presto metadata available for rpmfusion-nonfree
updates                                                  | 2.3 kB     00:00     
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Sat Feb 14 15:27:34 2009
  Downloaded: Thu Feb 12 14:04:27 2009
No Presto metadata available for updates
Reducing Fedora 10 - x86_64 - ATrpms to included packages only
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package PyKDE4.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kde-i18n-Arabic.noarch 1:3.5.10-2.fc10 set to be updated
---> Package kde-settings.noarch 0:4.1-6.20090206svn.fc10 set to be updated
---> Package kde-settings-kdm.noarch 0:4.1-6.20090206svn.fc10 set to be updated
---> Package kdeaccessibility.i386 1:4.2.0-1.fc10 set to be updated
---> Package kdeadmin.x86_64 7:4.2.0-1.fc10.1 set to be updated
---> Package kdeartwork.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdeartwork-kxs.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdebase.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdebase-libs.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdebase-libs.i386 6:4.2.0-2.fc10 set to be updated
---> Package kdebase-runtime.x86_64 0:4.2.0-6.fc10 set to be updated
---> Package kdebase-runtime-libs.x86_64 0:4.2.0-6.fc10 set to be updated
---> Package kdebase-workspace.x86_64 0:4.2.0-8.fc10 set to be updated
--> Processing Dependency: libggadget-1.0.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: libggadget-qt-1.0.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: libqzion.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: libeet.so.1()(64bit) for package: kdebase-workspace
--> Processing Dependency: libqedje.so.0()(64bit) for package: kdebase-workspace
---> Package kdebase-workspace-libs.i386 0:4.2.0-8.fc10 set to be updated
---> Package kdebase-workspace-libs.x86_64 0:4.2.0-8.fc10 set to be updated
---> Package kdebindings.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdebindings.i386 0:4.2.0-1.fc10 set to be updated
---> Package kdeedu.x86_64 0:4.2.0-7.fc10 set to be updated
--> Processing Dependency: kdeedu-marble = 4.2.0-7.fc10 for package: kdeedu
--> Processing Dependency: sj-stevehand-fonts for package: kdeedu
--> Processing Dependency: dustin-dustismo-roman-fonts for package: kdeedu
--> Processing Dependency: dustin-domestic-manners-fonts for package: kdeedu
---> Package kdeedu-kstars.x86_64 0:4.2.0-7.fc10 set to be updated
--> Processing Dependency: libindi.so.0()(64bit) for package: kdeedu-kstars
---> Package kdeedu-libs.x86_64 0:4.2.0-7.fc10 set to be updated
---> Package kdeedu-math.x86_64 0:4.2.0-7.fc10 set to be updated
---> Package kdegames.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kdegames-devel.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kdegames-libs.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kdegraphics.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdegraphics-devel.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdegraphics-libs.i386 7:4.2.0-1.fc10 set to be updated
---> Package kdegraphics-libs.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdelibs.i386 6:4.2.0-10.fc10 set to be updated
---> Package kdelibs.x86_64 6:4.2.0-10.fc10 set to be updated
---> Package kdelibs-common.x86_64 6:4.2.0-10.fc10 set to be updated
---> Package kdelibs-devel.x86_64 6:4.2.0-10.fc10 set to be updated
---> Package kdemultimedia.x86_64 6:4.2.0-1.fc10.1 set to be updated
---> Package kdemultimedia-libs.x86_64 6:4.2.0-1.fc10.1 set to be updated
---> Package kdenetwork.x86_64 7:4.2.0-2.fc10 set to be updated
--> Processing Dependency: libmsn.so.0.1()(64bit) for package: kdenetwork
---> Package kdenetwork-devel.x86_64 7:4.2.0-2.fc10 set to be updated
---> Package kdenetwork-libs.x86_64 7:4.2.0-2.fc10 set to be updated
---> Package kdenetwork-libs.i386 7:4.2.0-2.fc10 set to be updated
---> Package kdepim.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdepim-devel.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdepim-libs.i386 6:4.2.0-2.fc10 set to be updated
---> Package kdepim-libs.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdepimlibs.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdepimlibs.i386 0:4.2.0-1.fc10 set to be updated
---> Package kdeplasma-addons.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk-libs.i386 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk-libs.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk-utils.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdetoys.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdeutils.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package ksysguardd.x86_64 0:4.2.0-8.fc10 set to be updated
---> Package oxygen-icon-theme.noarch 0:4.2.0-6.fc10 set to be updated
--> Running transaction check
---> Package dustin-domestic-manners-fonts.noarch 0:20030527-2.fc10 set to be updated
--> Processing Dependency: fontpackages-filesystem for package: dustin-domestic-manners-fonts
---> Package dustin-dustismo-roman-fonts.noarch 0:20030318-3.fc10 set to be updated
--> Processing Dependency: dustin-dustismo-fonts-common = 20030318-3.fc10 for package: dustin-dustismo-roman-fonts
---> Package eet.x86_64 0:1.1.0-1.fc10 set to be updated
---> Package google-gadgets.x86_64 0:0.10.5-2.fc10 set to be updated
---> Package google-gadgets-qt.x86_64 0:0.10.5-2.fc10 set to be updated
---> Package kdeedu-marble.x86_64 0:4.2.0-7.fc10 set to be updated
---> Package libindi.x86_64 0:0.6-2.fc10 set to be updated
--> Processing Dependency: libfli.so.1()(64bit) for package: libindi
---> Package libmsn.x86_64 0:4.0-0.10.beta4.fc10 set to be updated
---> Package qedje.x86_64 0:0.3.0-2.fc10 set to be updated
---> Package qzion.x86_64 0:0.3.0-2.fc10 set to be updated
---> Package sj-stevehand-fonts.noarch 0:2.0.2-1.fc10 set to be updated
--> Processing Dependency: sj-fonts-common = 2.0.2-1.fc10 for package: sj-stevehand-fonts
--> Running transaction check
---> Package dustin-dustismo-fonts-common.noarch 0:20030318-3.fc10 set to be updated
---> Package fontpackages-filesystem.noarch 0:1.15-1.fc10 set to be updated
---> Package libfli.x86_64 0:1.7-4.fc10 set to be updated
---> Package sj-fonts-common.noarch 0:2.0.2-1.fc10 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                        Arch    Version                  Repository
                                                                           Size
================================================================================
Updating:
 PyKDE4                         x86_64  4.2.0-1.fc10             updates  5.1 M
 kde-i18n-Arabic                noarch  1:3.5.10-2.fc10          updates  667 k
 kde-settings                   noarch  4.1-6.20090206svn.fc10   updates   33 k
 kde-settings-kdm               noarch  4.1-6.20090206svn.fc10   updates   22 k
 kdeaccessibility               i386    1:4.2.0-1.fc10           updates  6.6 M
 kdeadmin                       x86_64  7:4.2.0-1.fc10.1         updates  1.5 M
 kdeartwork                     x86_64  4.2.0-1.fc10             updates   14 M
 kdeartwork-kxs                 x86_64  4.2.0-1.fc10             updates   82 k
 kdebase                        x86_64  6:4.2.0-2.fc10           updates  5.7 M
 kdebase-libs                   x86_64  6:4.2.0-2.fc10           updates  270 k
 kdebase-libs                   i386    6:4.2.0-2.fc10           updates  269 k
 kdebase-runtime                x86_64  4.2.0-6.fc10             updates  6.6 M
 kdebase-runtime-libs           x86_64  4.2.0-6.fc10             updates  1.3 M
 kdebase-workspace              x86_64  4.2.0-8.fc10             updates   13 M
 kdebase-workspace-libs         i386    4.2.0-8.fc10             updates  734 k
 kdebase-workspace-libs         x86_64  4.2.0-8.fc10             updates  728 k
 kdebindings                    x86_64  4.2.0-1.fc10             updates  3.3 M
 kdebindings                    i386    4.2.0-1.fc10             updates  3.3 M
 kdeedu                         x86_64  4.2.0-7.fc10             updates   24 M
 kdeedu-kstars                  x86_64  4.2.0-7.fc10             updates   10 M
 kdeedu-libs                    x86_64  4.2.0-7.fc10             updates  344 k
 kdeedu-math                    x86_64  4.2.0-7.fc10             updates  3.5 M
 kdegames                       x86_64  6:4.2.0-1.fc10           updates   32 M
 kdegames-devel                 x86_64  6:4.2.0-1.fc10           updates  140 k
 kdegames-libs                  x86_64  6:4.2.0-1.fc10           updates  1.3 M
 kdegraphics                    x86_64  7:4.2.0-1.fc10           updates  2.5 M
 kdegraphics-devel              x86_64  7:4.2.0-1.fc10           updates   75 k
 kdegraphics-libs               i386    7:4.2.0-1.fc10           updates  1.8 M
 kdegraphics-libs               x86_64  7:4.2.0-1.fc10           updates  1.8 M
 kdelibs                        i386    6:4.2.0-10.fc10          updates   13 M
 kdelibs                        x86_64  6:4.2.0-10.fc10          updates   13 M
 kdelibs-common                 x86_64  6:4.2.0-10.fc10          updates  272 k
 kdelibs-devel                  x86_64  6:4.2.0-10.fc10          updates  1.7 M
 kdemultimedia                  x86_64  6:4.2.0-1.fc10.1         updates  1.7 M
 kdemultimedia-libs             x86_64  6:4.2.0-1.fc10.1         updates  307 k
 kdenetwork                     x86_64  7:4.2.0-2.fc10           updates  8.1 M
 kdenetwork-devel               x86_64  7:4.2.0-2.fc10           updates  102 k
 kdenetwork-libs                x86_64  7:4.2.0-2.fc10           updates  1.7 M
 kdenetwork-libs                i386    7:4.2.0-2.fc10           updates  1.7 M
 kdepim                         x86_64  6:4.2.0-2.fc10           updates   11 M
 kdepim-devel                   x86_64  6:4.2.0-2.fc10           updates  143 k
 kdepim-libs                    i386    6:4.2.0-2.fc10           updates  7.3 M
 kdepim-libs                    x86_64  6:4.2.0-2.fc10           updates  7.3 M
 kdepimlibs                     x86_64  4.2.0-1.fc10             updates  2.2 M
 kdepimlibs                     i386    4.2.0-1.fc10             updates  2.3 M
 kdeplasma-addons               x86_64  4.2.0-1.fc10             updates  5.0 M
 kdesdk                         x86_64  4.2.0-1.fc10             updates  7.2 M
 kdesdk-libs                    i386    4.2.0-1.fc10             updates  283 k
 kdesdk-libs                    x86_64  4.2.0-1.fc10             updates  280 k
 kdesdk-utils                   x86_64  4.2.0-1.fc10             updates  258 k
 kdetoys                        x86_64  7:4.2.0-1.fc10           updates  1.4 M
 kdeutils                       x86_64  6:4.2.0-1.fc10           updates  2.8 M
 ksysguardd                     x86_64  4.2.0-8.fc10             updates   71 k
 oxygen-icon-theme              noarch  4.2.0-6.fc10             updates   15 M
Installing for dependencies:
 dustin-domestic-manners-fonts  noarch  20030527-2.fc10          updates   54 k
 dustin-dustismo-fonts-common   noarch  20030318-3.fc10          updates  9.7 k
 dustin-dustismo-roman-fonts    noarch  20030318-3.fc10          updates  174 k
 eet                            x86_64  1.1.0-1.fc10             updates   43 k
 fontpackages-filesystem        noarch  1.15-1.fc10              updates  3.9 k
 google-gadgets                 x86_64  0.10.5-2.fc10            updates  2.1 M
 google-gadgets-qt              x86_64  0.10.5-2.fc10            updates  250 k
 kdeedu-marble                  x86_64  4.2.0-7.fc10             updates   18 M
 libfli                         x86_64  1.7-4.fc10               updates   38 k
 libindi                        x86_64  0.6-2.fc10               updates  488 k
 libmsn                         x86_64  4.0-0.10.beta4.fc10      updates  299 k
 qedje                          x86_64  0.3.0-2.fc10             updates   77 k
 qzion                          x86_64  0.3.0-2.fc10             updates   53 k
 sj-fonts-common                noarch  2.0.2-1.fc10             updates  9.5 k
 sj-stevehand-fonts             noarch  2.0.2-1.fc10             updates   46 k

Transaction Summary
================================================================================
Install     15 Package(s)         
Update      54 Package(s)         
Remove       0 Package(s)         

Total size: 268 M
Downloading Packages:
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/doc/HTML/en/kcontrol/kresources/index.cache.bz2 conflicts between attempted installs of kdepimlibs-4.2.0-1.fc10.i386 and kdepimlibs-4.2.0-1.fc10.x86_64

Error Summary
-------------


Expected results:


Additional info:
Comment 1 seth vidal 2009-02-15 21:20:46 EST
Not a yum bug - problem in the packaging of kdepimlibs.
Comment 2 Rex Dieter 2009-02-15 22:04:45 EST
multilib borkage.  Why is 'yum update' including only kdepimlibs.x86_64 and not kdepimlibs.i386 in the update transaction?
Comment 3 seth vidal 2009-02-15 22:27:08 EST
umm - it looks like it has both

kdepimlibs                     x86_64  4.2.0-1.fc10             updates  2.2 M
 kdepimlibs                     i386    4.2.0-1.fc10             updates  2.3 

-sv
Comment 4 Kevin Kofler 2009-02-15 22:35:52 EST
Looks like a multilib conflict in kdepimlibs.
Yet another index.cache.bz2 problem. :-(
A hack like the one I used in kdelibs might help.
Comment 5 Rex Dieter 2009-02-15 22:40:28 EST
-common subpkg?
Comment 6 Kevin Kofler 2009-02-15 22:44:49 EST
# fix Sonnet documentation multilib conflict
bunzip2 %{buildroot}%{_kde4_docdir}/HTML/en/sonnet/index.cache.bz2
sed -i -e 's!<a name="id[0-9]*"></a>!!g' %{buildroot}%{_kde4_docdir}/HTML/en/sonnet/index.cache
bzip2 -9 %{buildroot}%{_kde4_docdir}/HTML/en/sonnet/index.cache

See also bug 453063 (which the above hack fixed).

We really need to get the documentation tools fixed.
Comment 7 Kevin Kofler 2009-02-15 22:45:52 EST
Ugh, that would be bug 341751. We need to fix the changelog too.
Comment 8 Rex Dieter 2009-02-16 09:17:08 EST
ok, I'll use the sed hack here too, but agreed.  doxygen is the better place to get this addressed once and for all.
Comment 9 Masoud Pajoh 2009-02-16 10:05:08 EST
Thanks guys for all the attention.
Is there anything I can do to correct my problem, or do I have to wait for an updated package of kdepimlibs?

Thanks again.
Comment 10 Kevin Kofler 2009-02-16 10:49:08 EST
You can try "yum remove kdepimlibs.i386", that will remove the i386 versions of KDE stuff which uses kdepimlibs, but it'll work around the conflict.

Otherwise the best solution is to wait for a fixed kdepimlibs.
Comment 11 Masoud Pajoh 2009-02-16 12:03:44 EST
I guess I have to wait for the update kdepimlibs, because after removal the "yum update" still wants to install the i386 version for dependency which results in the same conflict message as before.
Comment 12 Masoud Pajoh 2009-02-16 12:05:24 EST
Question, how can let KDE people know about this problem so that could try to fix it?
Comment 13 Rex Dieter 2009-02-16 16:24:20 EST
this update should help:
https://admin.fedoraproject.org/updates/kdepimlibs-4.2.0-2.fc10

when it hits the repos.

In the meantime, a variant Kevin's suggestion, try: 
yum remove kdelibs.i386
should still work, essentially removing kde's multilib parts, and make subsequent, 
yum update
operations ok.  If that doesn't work (which sounds like in your case), please provide the error details, so I can take a closer look.
Comment 14 Masoud Pajoh 2009-02-16 19:42:05 EST
After removing kdelibs.i386.

Here is what happens: 
[Downloads]$ sudo yum -y update
Loaded plugins: fastestmirror, presto, priorities, protect-packages, refresh-
              : packagekit, tsflags
Loading mirror speeds from cached hostfile
 * rpmfusion-nonfree-updates: lordmorgul.net
 * fedora: mirrors.tummy.com
 * rpmfusion-free-updates: lordmorgul.net
 * rpmfusion-free: lordmorgul.net
 * rpmfusion-nonfree: lordmorgul.net
 * updates: mirrors.tummy.com
Setting up and reading Presto delta metadata
No Presto metadata available for atrpms
No Presto metadata available for rpmfusion-nonfree-updates
No Presto metadata available for fedora
No Presto metadata available for rpmfusion-free-updates
No Presto metadata available for rpmfusion-free
No Presto metadata available for rpmfusion-nonfree
No Presto metadata available for updates
Reducing Fedora 10 - x86_64 - ATrpms to included packages only
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package PyKDE4.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package dclib.x86_64 0:0.3.22-1.fc10 set to be updated
---> Package dclib-devel.x86_64 0:0.3.22-1.fc10 set to be updated
---> Package frozen-bubble.x86_64 0:2.2.0-1.fc10 set to be updated
---> Package kde-i18n-Arabic.noarch 1:3.5.10-2.fc10 set to be updated
---> Package kde-settings.noarch 0:4.1-6.20090206svn.fc10 set to be updated
---> Package kde-settings-kdm.noarch 0:4.1-6.20090206svn.fc10 set to be updated
---> Package kdeaccessibility.i386 1:4.2.0-1.fc10 set to be updated
---> Package kdeadmin.x86_64 7:4.2.0-1.fc10.1 set to be updated
---> Package kdeartwork.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdeartwork-kxs.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdebase.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdebase-libs.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdebase-libs.i386 6:4.2.0-2.fc10 set to be updated
---> Package kdebase-runtime.x86_64 0:4.2.0-6.fc10 set to be updated
---> Package kdebase-runtime-libs.x86_64 0:4.2.0-6.fc10 set to be updated
---> Package kdebase-workspace.x86_64 0:4.2.0-8.fc10 set to be updated
--> Processing Dependency: libggadget-1.0.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: libggadget-qt-1.0.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: libqzion.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: libeet.so.1()(64bit) for package: kdebase-workspace
--> Processing Dependency: libqedje.so.0()(64bit) for package: kdebase-workspace
---> Package kdebase-workspace-libs.i386 0:4.2.0-8.fc10 set to be updated
---> Package kdebase-workspace-libs.x86_64 0:4.2.0-8.fc10 set to be updated
---> Package kdebindings.i386 0:4.2.0-1.fc10 set to be updated
--> Processing Dependency: libakonadi-kmime.so.4 for package: kdebindings
--> Processing Dependency: libakonadi-kde.so.4 for package: kdebindings
---> Package kdebindings.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdeedu.x86_64 0:4.2.0-7.fc10 set to be updated
--> Processing Dependency: kdeedu-marble = 4.2.0-7.fc10 for package: kdeedu
--> Processing Dependency: sj-stevehand-fonts for package: kdeedu
--> Processing Dependency: dustin-dustismo-roman-fonts for package: kdeedu
--> Processing Dependency: dustin-domestic-manners-fonts for package: kdeedu
---> Package kdeedu-kstars.x86_64 0:4.2.0-7.fc10 set to be updated
--> Processing Dependency: libindi.so.0()(64bit) for package: kdeedu-kstars
---> Package kdeedu-libs.x86_64 0:4.2.0-7.fc10 set to be updated
---> Package kdeedu-math.x86_64 0:4.2.0-7.fc10 set to be updated
---> Package kdegames.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kdegames-devel.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kdegames-libs.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kdegraphics.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdegraphics-devel.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdegraphics-libs.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdegraphics-libs.i386 7:4.2.0-1.fc10 set to be updated
---> Package kdelibs.i386 6:4.2.0-10.fc10 set to be updated
---> Package kdelibs.x86_64 6:4.2.0-10.fc10 set to be updated
---> Package kdelibs-common.x86_64 6:4.2.0-10.fc10 set to be updated
---> Package kdelibs-devel.x86_64 6:4.2.0-10.fc10 set to be updated
---> Package kdemultimedia.x86_64 6:4.2.0-1.fc10.1 set to be updated
---> Package kdemultimedia-libs.x86_64 6:4.2.0-1.fc10.1 set to be updated
---> Package kdenetwork.x86_64 7:4.2.0-2.fc10 set to be updated
--> Processing Dependency: libmsn.so.0.1()(64bit) for package: kdenetwork
---> Package kdenetwork-devel.x86_64 7:4.2.0-2.fc10 set to be updated
---> Package kdenetwork-libs.x86_64 7:4.2.0-2.fc10 set to be updated
---> Package kdepim.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdepim-devel.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdepim-libs.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdepimlibs.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdeplasma-addons.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk-libs.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk-libs.i386 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk-utils.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdetoys.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdeutils.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package ksysguardd.x86_64 0:4.2.0-8.fc10 set to be updated
---> Package ktorrent.x86_64 0:3.1.6-4.fc10 set to be updated
---> Package oxygen-icon-theme.noarch 0:4.2.0-6.fc10 set to be updated
---> Package ufraw-common.x86_64 0:0.15-1.fc10 set to be updated
---> Package ufraw-gimp.x86_64 0:0.15-1.fc10 set to be updated
---> Package xsane.x86_64 0:0.996-3.fc10 set to be updated
---> Package xsane-gimp.x86_64 0:0.996-3.fc10 set to be updated
--> Running transaction check
---> Package dustin-domestic-manners-fonts.noarch 0:20030527-2.fc10 set to be updated
--> Processing Dependency: fontpackages-filesystem for package: dustin-domestic-manners-fonts
---> Package dustin-dustismo-roman-fonts.noarch 0:20030318-3.fc10 set to be updated
--> Processing Dependency: dustin-dustismo-fonts-common = 20030318-3.fc10 for package: dustin-dustismo-roman-fonts
---> Package eet.x86_64 0:1.1.0-1.fc10 set to be updated
---> Package google-gadgets.x86_64 0:0.10.5-2.fc10 set to be updated
---> Package google-gadgets-qt.x86_64 0:0.10.5-2.fc10 set to be updated
---> Package kdeedu-marble.x86_64 0:4.2.0-7.fc10 set to be updated
---> Package kdepimlibs.i386 0:4.2.0-1.fc10 set to be updated
---> Package libindi.x86_64 0:0.6-2.fc10 set to be updated
--> Processing Dependency: libfli.so.1()(64bit) for package: libindi
---> Package libmsn.x86_64 0:4.0-0.10.beta4.fc10 set to be updated
---> Package qedje.x86_64 0:0.3.0-2.fc10 set to be updated
---> Package qzion.x86_64 0:0.3.0-2.fc10 set to be updated
---> Package sj-stevehand-fonts.noarch 0:2.0.2-1.fc10 set to be updated
--> Processing Dependency: sj-fonts-common = 2.0.2-1.fc10 for package: sj-stevehand-fonts
--> Running transaction check
---> Package dustin-dustismo-fonts-common.noarch 0:20030318-3.fc10 set to be updated
---> Package fontpackages-filesystem.noarch 0:1.15-1.fc10 set to be updated
---> Package libfli.x86_64 0:1.7-4.fc10 set to be updated
---> Package sj-fonts-common.noarch 0:2.0.2-1.fc10 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                        Arch    Version                  Repository
                                                                           Size
================================================================================
Updating:
 PyKDE4                         x86_64  4.2.0-1.fc10             updates  5.1 M
 dclib                          x86_64  0.3.22-1.fc10            updates  398 k
 dclib-devel                    x86_64  0.3.22-1.fc10            updates   69 k
 frozen-bubble                  x86_64  2.2.0-1.fc10             updates   20 M
 kde-i18n-Arabic                noarch  1:3.5.10-2.fc10          updates  667 k
 kde-settings                   noarch  4.1-6.20090206svn.fc10   updates   33 k
 kde-settings-kdm               noarch  4.1-6.20090206svn.fc10   updates   22 k
 kdeaccessibility               i386    1:4.2.0-1.fc10           updates  6.6 M
 kdeadmin                       x86_64  7:4.2.0-1.fc10.1         updates  1.5 M
 kdeartwork                     x86_64  4.2.0-1.fc10             updates   14 M
 kdeartwork-kxs                 x86_64  4.2.0-1.fc10             updates   82 k
 kdebase                        x86_64  6:4.2.0-2.fc10           updates  5.7 M
 kdebase-libs                   x86_64  6:4.2.0-2.fc10           updates  270 k
 kdebase-libs                   i386    6:4.2.0-2.fc10           updates  269 k
 kdebase-runtime                x86_64  4.2.0-6.fc10             updates  6.6 M
 kdebase-runtime-libs           x86_64  4.2.0-6.fc10             updates  1.3 M
 kdebase-workspace              x86_64  4.2.0-8.fc10             updates   13 M
 kdebase-workspace-libs         i386    4.2.0-8.fc10             updates  734 k
 kdebase-workspace-libs         x86_64  4.2.0-8.fc10             updates  728 k
 kdebindings                    i386    4.2.0-1.fc10             updates  3.3 M
 kdebindings                    x86_64  4.2.0-1.fc10             updates  3.3 M
 kdeedu                         x86_64  4.2.0-7.fc10             updates   24 M
 kdeedu-kstars                  x86_64  4.2.0-7.fc10             updates   10 M
 kdeedu-libs                    x86_64  4.2.0-7.fc10             updates  344 k
 kdeedu-math                    x86_64  4.2.0-7.fc10             updates  3.5 M
 kdegames                       x86_64  6:4.2.0-1.fc10           updates   32 M
 kdegames-devel                 x86_64  6:4.2.0-1.fc10           updates  140 k
 kdegames-libs                  x86_64  6:4.2.0-1.fc10           updates  1.3 M
 kdegraphics                    x86_64  7:4.2.0-1.fc10           updates  2.5 M
 kdegraphics-devel              x86_64  7:4.2.0-1.fc10           updates   75 k
 kdegraphics-libs               x86_64  7:4.2.0-1.fc10           updates  1.8 M
 kdegraphics-libs               i386    7:4.2.0-1.fc10           updates  1.8 M
 kdelibs                        i386    6:4.2.0-10.fc10          updates   13 M
 kdelibs                        x86_64  6:4.2.0-10.fc10          updates   13 M
 kdelibs-common                 x86_64  6:4.2.0-10.fc10          updates  272 k
 kdelibs-devel                  x86_64  6:4.2.0-10.fc10          updates  1.7 M
 kdemultimedia                  x86_64  6:4.2.0-1.fc10.1         updates  1.7 M
 kdemultimedia-libs             x86_64  6:4.2.0-1.fc10.1         updates  307 k
 kdenetwork                     x86_64  7:4.2.0-2.fc10           updates  8.1 M
 kdenetwork-devel               x86_64  7:4.2.0-2.fc10           updates  102 k
 kdenetwork-libs                x86_64  7:4.2.0-2.fc10           updates  1.7 M
 kdepim                         x86_64  6:4.2.0-2.fc10           updates   11 M
 kdepim-devel                   x86_64  6:4.2.0-2.fc10           updates  143 k
 kdepim-libs                    x86_64  6:4.2.0-2.fc10           updates  7.3 M
 kdepimlibs                     x86_64  4.2.0-1.fc10             updates  2.2 M
 kdeplasma-addons               x86_64  4.2.0-1.fc10             updates  5.0 M
 kdesdk                         x86_64  4.2.0-1.fc10             updates  7.2 M
 kdesdk-libs                    x86_64  4.2.0-1.fc10             updates  280 k
 kdesdk-libs                    i386    4.2.0-1.fc10             updates  283 k
 kdesdk-utils                   x86_64  4.2.0-1.fc10             updates  258 k
 kdetoys                        x86_64  7:4.2.0-1.fc10           updates  1.4 M
 kdeutils                       x86_64  6:4.2.0-1.fc10           updates  2.8 M
 ksysguardd                     x86_64  4.2.0-8.fc10             updates   71 k
 ktorrent                       x86_64  3.1.6-4.fc10             updates  3.6 M
 oxygen-icon-theme              noarch  4.2.0-6.fc10             updates   15 M
 ufraw-common                   x86_64  0.15-1.fc10              updates  219 k
 ufraw-gimp                     x86_64  0.15-1.fc10              updates  309 k
 xsane                          x86_64  0.996-3.fc10             updates  2.0 M
 xsane-gimp                     x86_64  0.996-3.fc10             updates  278 k
Installing for dependencies:
 dustin-domestic-manners-fonts  noarch  20030527-2.fc10          updates   54 k
 dustin-dustismo-fonts-common   noarch  20030318-3.fc10          updates  9.7 k
 dustin-dustismo-roman-fonts    noarch  20030318-3.fc10          updates  174 k
 eet                            x86_64  1.1.0-1.fc10             updates   43 k
 fontpackages-filesystem        noarch  1.15-1.fc10              updates  3.9 k
 google-gadgets                 x86_64  0.10.5-2.fc10            updates  2.1 M
 google-gadgets-qt              x86_64  0.10.5-2.fc10            updates  250 k
 kdeedu-marble                  x86_64  4.2.0-7.fc10             updates   18 M
 kdepimlibs                     i386    4.2.0-1.fc10             updates  2.3 M
 libfli                         x86_64  1.7-4.fc10               updates   38 k
 libindi                        x86_64  0.6-2.fc10               updates  488 k
 libmsn                         x86_64  4.0-0.10.beta4.fc10      updates  299 k
 qedje                          x86_64  0.3.0-2.fc10             updates   77 k
 qzion                          x86_64  0.3.0-2.fc10             updates   53 k
 sj-fonts-common                noarch  2.0.2-1.fc10             updates  9.5 k
 sj-stevehand-fonts             noarch  2.0.2-1.fc10             updates   46 k

Transaction Summary
================================================================================
Install     16 Package(s)         
Update      59 Package(s)         
Remove       0 Package(s)         

Total size: 286 M
Downloading Packages:
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/doc/HTML/en/kcontrol/kresources/index.cache.bz2 conflicts between attempted installs of kdepimlibs-4.2.0-1.fc10.i386 and kdepimlibs-4.2.0-1.fc10.x86_64

Error Summary
-------------

Any hopes?
Comment 15 Kevin Kofler 2009-02-17 00:27:56 EST
> ---> Package kdeaccessibility.i386 1:4.2.0-1.fc10 set to be updated

Uh, WHY? It should be using kdeaccessibility.x86_64!

Try: yum --exclude='*.i386' update
Comment 16 Răzvan Sandu 2009-02-17 02:52:16 EST
Hello,

I've got the same here, on my x86_64 laptop.

The same problem seems to be present in kde-workspace (i386 and x86_64 versions), blocking the updates for a few days now...

Regards,
Răzvan
Comment 17 Rex Dieter 2009-02-17 08:07:30 EST
> The same problem seems to be present in kde-workspace

seems to be?  details?
Comment 18 Masoud Pajoh 2009-02-17 19:08:43 EST
(In reply to comment #15)
> > ---> Package kdeaccessibility.i386 1:4.2.0-1.fc10 set to be updated
> 
> Uh, WHY? It should be using kdeaccessibility.x86_64!
> 
> Try: yum --exclude='*.i386' update

First I checked there is no such thing as kdeaccessibility.x86_64 neither installed nor available to be installed!

Next yum --exclude='*.i386' update returns:

Loaded plugins: fastestmirror, presto, priorities, protect-packages, refresh-
              : packagekit, tsflags
Loading mirror speeds from cached hostfile
 * rpmfusion-nonfree-updates: lordmorgul.net
 * fedora: mirrors.tummy.com
 * rpmfusion-free-updates: lordmorgul.net
 * rpmfusion-free: lordmorgul.net
 * rpmfusion-nonfree: lordmorgul.net
 * updates: mirrors.tummy.com
Setting up and reading Presto delta metadata
No Presto metadata available for atrpms
No Presto metadata available for rpmfusion-nonfree-updates
No Presto metadata available for fedora
No Presto metadata available for rpmfusion-free-updates
No Presto metadata available for rpmfusion-free
No Presto metadata available for rpmfusion-nonfree
No Presto metadata available for updates
Excluding Packages in global exclude list
Finished
Reducing Fedora 10 - x86_64 - ATrpms to included packages only
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package PyKDE4.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package cups-pdf.x86_64 0:2.5.0-1.fc10 set to be updated
---> Package dclib.x86_64 0:0.3.22-1.fc10 set to be updated
---> Package dclib-devel.x86_64 0:0.3.22-1.fc10 set to be updated
---> Package elfutils.x86_64 0:0.140-1.fc10 set to be updated
---> Package elfutils-libelf.x86_64 0:0.140-1.fc10 set to be updated
---> Package elfutils-libelf-devel.x86_64 0:0.140-1.fc10 set to be updated
---> Package elfutils-libelf-devel-static.x86_64 0:0.140-1.fc10 set to be updated
---> Package elfutils-libs.x86_64 0:0.140-1.fc10 set to be updated
---> Package frozen-bubble.x86_64 0:2.2.0-1.fc10 set to be updated
---> Package gegl.x86_64 0:0.0.22-2.fc10 set to be updated
--> Processing Dependency: libspiro.so.0()(64bit) for package: gegl
---> Package kde-i18n-Arabic.noarch 1:3.5.10-2.fc10 set to be updated
---> Package kde-settings.noarch 0:4.1-6.20090206svn.fc10 set to be updated
---> Package kde-settings-kdm.noarch 0:4.1-6.20090206svn.fc10 set to be updated
---> Package kdeadmin.x86_64 7:4.2.0-1.fc10.1 set to be updated
---> Package kdeartwork.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdeartwork-kxs.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdebase.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdebase-libs.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdebase-runtime.x86_64 0:4.2.0-6.fc10 set to be updated
---> Package kdebase-runtime-libs.x86_64 0:4.2.0-6.fc10 set to be updated
---> Package kdebase-workspace.x86_64 0:4.2.0-8.fc10 set to be updated
--> Processing Dependency: libggadget-1.0.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: libggadget-qt-1.0.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: libqzion.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: libeet.so.1()(64bit) for package: kdebase-workspace
--> Processing Dependency: libqedje.so.0()(64bit) for package: kdebase-workspace
--> Processing Dependency: kdebase-workspace = 4.1.4-1.fc10 for package: kdebase-workspace-libs
---> Package kdebase-workspace-libs.x86_64 0:4.2.0-8.fc10 set to be updated
---> Package kdebindings.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdeedu.x86_64 0:4.2.0-7.fc10 set to be updated
--> Processing Dependency: kdeedu-marble = 4.2.0-7.fc10 for package: kdeedu
--> Processing Dependency: sj-stevehand-fonts for package: kdeedu
--> Processing Dependency: dustin-dustismo-roman-fonts for package: kdeedu
--> Processing Dependency: dustin-domestic-manners-fonts for package: kdeedu
---> Package kdeedu-kstars.x86_64 0:4.2.0-7.fc10 set to be updated
--> Processing Dependency: libindi.so.0()(64bit) for package: kdeedu-kstars
---> Package kdeedu-libs.x86_64 0:4.2.0-7.fc10 set to be updated
---> Package kdeedu-math.x86_64 0:4.2.0-7.fc10 set to be updated
---> Package kdegames.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kdegames-devel.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kdegames-libs.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kdegraphics.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdegraphics-devel.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdegraphics-libs.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdelibs.x86_64 6:4.2.0-10.fc10 set to be updated
---> Package kdelibs-common.x86_64 6:4.2.0-10.fc10 set to be updated
---> Package kdelibs-devel.x86_64 6:4.2.0-10.fc10 set to be updated
---> Package kdemultimedia.x86_64 6:4.2.0-1.fc10.1 set to be updated
---> Package kdemultimedia-libs.x86_64 6:4.2.0-1.fc10.1 set to be updated
---> Package kdenetwork.x86_64 7:4.2.0-2.fc10 set to be updated
--> Processing Dependency: libmsn.so.0.1()(64bit) for package: kdenetwork
---> Package kdenetwork-devel.x86_64 7:4.2.0-2.fc10 set to be updated
---> Package kdenetwork-libs.x86_64 7:4.2.0-2.fc10 set to be updated
---> Package kdepim.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdepim-devel.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdepim-libs.x86_64 6:4.2.0-2.fc10 set to be updated
---> Package kdepimlibs.x86_64 0:4.2.0-2.fc10 set to be updated
---> Package kdeplasma-addons.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk-libs.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdesdk-utils.x86_64 0:4.2.0-1.fc10 set to be updated
---> Package kdetoys.x86_64 7:4.2.0-1.fc10 set to be updated
---> Package kdeutils.x86_64 6:4.2.0-1.fc10 set to be updated
---> Package kipi-plugins.x86_64 0:0.2.0-0.14.rc1.fc10 set to be updated
---> Package ksysguardd.x86_64 0:4.2.0-8.fc10 set to be updated
---> Package ktorrent.x86_64 0:3.1.6-4.fc10 set to be updated
---> Package libgnome.x86_64 0:2.24.1-9.fc10 set to be updated
---> Package libgnome-devel.x86_64 0:2.24.1-9.fc10 set to be updated
---> Package net-snmp.x86_64 1:5.4.2.1-3.fc10 set to be updated
---> Package net-snmp-libs.x86_64 1:5.4.2.1-3.fc10 set to be updated
---> Package oxygen-icon-theme.noarch 0:4.2.0-6.fc10 set to be updated
---> Package perl.x86_64 4:5.10.0-56.fc10 set to be updated
---> Package perl-Archive-Tar.x86_64 0:1.40-56.fc10 set to be updated
---> Package perl-CPAN.x86_64 0:1.9205-56.fc10 set to be updated
---> Package perl-Compress-Raw-Zlib.x86_64 0:2.008-56.fc10 set to be updated
---> Package perl-Compress-Zlib.x86_64 0:2.008-56.fc10 set to be updated
---> Package perl-ExtUtils-Embed.x86_64 0:1.28-56.fc10 set to be updated
---> Package perl-ExtUtils-MakeMaker.x86_64 0:6.36-56.fc10 set to be updated
---> Package perl-ExtUtils-ParseXS.x86_64 1:2.18-56.fc10 set to be updated
---> Package perl-IO-Compress-Base.x86_64 0:2.008-56.fc10 set to be updated
---> Package perl-IO-Compress-Zlib.x86_64 0:2.008-56.fc10 set to be updated
---> Package perl-IO-Zlib.x86_64 1:1.07-56.fc10 set to be updated
---> Package perl-Module-Pluggable.x86_64 1:3.60-56.fc10 set to be updated
---> Package perl-Package-Constants.x86_64 1:0.01-56.fc10 set to be updated
---> Package perl-Pod-Escapes.x86_64 1:1.04-56.fc10 set to be updated
---> Package perl-Pod-Simple.x86_64 1:3.07-56.fc10 set to be updated
---> Package perl-Test-Harness.x86_64 0:3.12-56.fc10 set to be updated
---> Package perl-Test-Simple.x86_64 0:0.80-56.fc10 set to be updated
---> Package perl-devel.x86_64 4:5.10.0-56.fc10 set to be updated
---> Package perl-libs.x86_64 4:5.10.0-56.fc10 set to be updated
---> Package perl-version.x86_64 3:0.74-56.fc10 set to be updated
---> Package procps.x86_64 0:3.2.7-23.fc10 set to be updated
---> Package ufraw-common.x86_64 0:0.15-1.fc10 set to be updated
---> Package ufraw-gimp.x86_64 0:0.15-1.fc10 set to be updated
---> Package xsane.x86_64 0:0.996-3.fc10 set to be updated
---> Package xsane-gimp.x86_64 0:0.996-3.fc10 set to be updated
--> Running transaction check
---> Package dustin-domestic-manners-fonts.noarch 0:20030527-2.fc10 set to be updated
--> Processing Dependency: fontpackages-filesystem for package: dustin-domestic-manners-fonts
---> Package dustin-dustismo-roman-fonts.noarch 0:20030318-3.fc10 set to be updated
--> Processing Dependency: dustin-dustismo-fonts-common = 20030318-3.fc10 for package: dustin-dustismo-roman-fonts
---> Package eet.x86_64 0:1.1.0-1.fc10 set to be updated
---> Package google-gadgets.x86_64 0:0.10.5-2.fc10 set to be updated
---> Package google-gadgets-qt.x86_64 0:0.10.5-2.fc10 set to be updated
--> Processing Dependency: kdebase-workspace = 4.1.4-1.fc10 for package: kdebase-workspace-libs
---> Package kdeedu-marble.x86_64 0:4.2.0-7.fc10 set to be updated
---> Package libindi.x86_64 0:0.6-2.fc10 set to be updated
--> Processing Dependency: libfli.so.1()(64bit) for package: libindi
---> Package libmsn.x86_64 0:4.0-0.10.beta4.fc10 set to be updated
---> Package libspiro.x86_64 0:20071029-1.fc10 set to be updated
---> Package qedje.x86_64 0:0.3.0-2.fc10 set to be updated
---> Package qzion.x86_64 0:0.3.0-2.fc10 set to be updated
---> Package sj-stevehand-fonts.noarch 0:2.0.2-1.fc10 set to be updated
--> Processing Dependency: sj-fonts-common = 2.0.2-1.fc10 for package: sj-stevehand-fonts
--> Running transaction check
---> Package dustin-dustismo-fonts-common.noarch 0:20030318-3.fc10 set to be updated
---> Package fontpackages-filesystem.noarch 0:1.15-1.fc10 set to be updated
--> Processing Dependency: kdebase-workspace = 4.1.4-1.fc10 for package: kdebase-workspace-libs
---> Package libfli.x86_64 0:1.7-4.fc10 set to be updated
---> Package sj-fonts-common.noarch 0:2.0.2-1.fc10 set to be updated
--> Finished Dependency Resolution
kdebase-workspace-libs-4.1.4-1.fc10.i386 from installed has depsolving problems
  --> Missing Dependency: kdebase-workspace = 4.1.4-1.fc10 is needed by package kdebase-workspace-libs-4.1.4-1.fc10.i386 (installed)
Error: Missing Dependency: kdebase-workspace = 4.1.4-1.fc10 is needed by package kdebase-workspace-libs-4.1.4-1.fc10.i386 (installed)

I guess there are too many connections to i386 packages and I have to wait for https://admin.fedoraproject.org/updates/kdepimlibs-4.2.0-2.fc10
to hit the repos.

Thanks for all the help.
Comment 19 Kevin Kofler 2009-02-17 19:20:34 EST
> First I checked there is no such thing as kdeaccessibility.x86_64 neither
> installed nor available to be installed!

Then the mirror you're using is broken (which also explains why yum wants to drag in the i386 stuff).
Comment 20 Steven M. Parrish 2009-03-16 21:41:06 EDT
Has this been resolved with the recent updates?
Comment 21 Rex Dieter 2009-03-16 22:23:11 EDT
should be fixed:

* Mon Feb 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-2
- multilib conflicts (#485659)
Comment 22 Masoud Pajoh 2009-03-27 08:40:04 EDT
Trying to update curl after passing dependency check YUM says:

Transaction Check Error:   file /usr/share/man/man1/curl.1.gz from 
install of curl-7.19.4-3.fc10.x86_64 conflicts with file from package 
curl-7.18.2-9.fc10.i386

Is this due to the same multilib conflicts problem?

Thanks.
Comment 23 Kevin Kofler 2009-03-27 08:56:26 EDT
It's the same class of bug, but it may have a completely different cause and it will in any case have to be fixed by different people, so please file this separately.
Comment 24 Masoud Pajoh 2009-03-27 09:13:21 EDT
Thanks for the direction.
Comment 25 Rex Dieter 2009-03-27 09:20:51 EDT
Different kind of bug here, fyi.  Notice that the curl versions are different:
curl-7.19.4-3.fc10.x86_64 vs. curl-7.18.2-9.fc10.i386
Comment 26 Kevin Kofler 2009-03-27 11:01:12 EDT
Oh, good catch. In that case it's normal that the files conflict, you have to upgrade both the x86_64 and i386 versions to the same version.

Note You need to log in before you can comment on or make changes to this bug.